using System;

internal sealed class Delegate762 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate762 delegate762_1)
	{
		return delegate762_1(object_0);
	}

	public extern Delegate762(object object_0, IntPtr intptr_0);

	static Delegate762()
	{
		Class10.smethod_13(typeof(Delegate762).TypeHandle);
	}

	internal static Delegate762 delegate762_0;
}
